<?php

/**-----------------------------------
** Модуль отправки HTML писем на EMAIL
**
** Автор: Королев Руслан "Кредитор"
** Связь:
**       email: kpegumop@yandex.ru
**       icq: 441460
**       skype: kpegumop
**       site: http://gix.su
-----------------------------------**/


// функция для отладки и демонстрации письма админу
function DebugMailer($array = array(),  $template = 'default')
{

    $MailerPath = $_SERVER['DOCUMENT_ROOT'] . '/_mailer/';
    $MailerTemplate = $MailerPath . 'template/';

    if (file_exists($MailerTemplate . $template . '/config_' . $template . '.php')) 
    {

        foreach ($array AS $key => $value)
        {
        	$mailer[$key] = $value;
        } 

        require_once $MailerPath . 'classes/PHPMailerAutoload.php';
        require_once $MailerTemplate . $template . '/config_' . $template . '.php';


        if (file_exists($MailerTemplate . $template . '/' . $template . '.tpl')) 
        {
            $EmailTmp = file_get_contents($MailerTemplate . $template . '/' . $template . '.tpl');

            foreach ($mailer AS $key => $value)
            {
        	    $EmailTmp = str_ireplace('{' . $key . '}', $value, $EmailTmp);
            } 

            return $EmailTmp;
        }
        else return "Не удалось загрузить шаблон письма. 
        Либо не существует самого шаблона, либо неправильно указано его название. 
        Убедитесь что по пути /mailer/template/ существует папка " . $template . " 
        и в ней " . $template . ".txt";

    } 
    else return "Не удалось загрузить шаблон письма. 
        Либо не существует самого шаблона, либо неправильно указано его название. 
        Убедитесь что по пути /mailer/template/ существует папка " . $template . " 
        и в ней config_" . $template . ".php";
}


// Функция для отправки письма
// функция для отладки и демонстрации письма админу
function Mailer($array = array(), $Subject = NULL, $addAdress = NULL, $template = 'default')
{

    $MailerPath = $_SERVER['DOCUMENT_ROOT'] . '/_mailer/';
    $MailerTemplate = $MailerPath . 'template/';

    if (file_exists($MailerTemplate . $template . '/config_' . $template . '.php')) 
    {

        foreach ($array AS $key => $value)
        {
        	$mailer[$key] = $value;
        } 

        require_once $MailerPath . 'classes/PHPMailerAutoload.php';
        require_once $MailerTemplate . $template . '/config_' . $template . '.php';


        if (file_exists($MailerTemplate . $template . '/' . $template . '.tpl')) 
        {
            $EmailTmp = file_get_contents($MailerTemplate . $template . '/' . $template . '.tpl');

            foreach ($mailer AS $key => $value)
            {
        	    $EmailTmp = str_ireplace('{' . $key . '}', $value, $EmailTmp);
            } 





            $MyMail = new PHPMailer;
 
            $MyMail->CharSet = 'UTF-8';
            $MyMail->IsMail();
            $MyMail->From = $mailer['from']; // от кого письмо
            $MyMail->FromName = $mailer['fromname']; // имя отправителя
			//$MyMail->AddCustomHeader('Precedence: bulk;');
            $MyMail->addAddress($addAdress);  // Куда шлем письмо
            $MyMail->isHTML(true);
 
            $MyMail->Subject = $Subject;
            $MyMail->Body    =  $EmailTmp;
            $MyMail->AltBody =  $EmailTmp;

            if($MyMail->send()) 
            {
                return false;
            } 
            else 
            {
                return $MyMail->ErrorInfo;
            }

        }
        else return 'Не удалось загрузить шаблон письма.';

    } 
    else return 'Не удалось загрузить файл конфигурации шаблона письма. ';
}